Can't install owlready2

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Can't install owlready2

marko
I have no clue what the issue is so any insight is appreciated!

I am trying to install owlready2 and it fails like this:

MacTower:~ marko$ pip3 install owlready2
Collecting owlready2
  Using cached Owlready2-0.5.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/private/tmp/pip-build-hjuous06/owlready2/setup.py", line 33, in <module>
        long_description = open(os.path.join(HERE, "README.rst")).read(),
      File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/encodings/ascii.py", line 26, in decode
        return codecs.ascii_decode(input, self.errors)[0]
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 6713: ordinal not in range(128)
   
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /private/tmp/pip-build-hjuous06/owlready2/

I am on a Mac (High Sierra version 10.13.3) running Python 3.6.1.

Thanks!

Marko
Reply | Threaded
Open this post in threaded view
|

Re: Can't install owlready2

Jiba
Administrator
I've just tested pip3 installation, but I did not encounter that problem. I will remove accent in long description (i.e. README.rst) in future release, though.

If pip3 does not work, you also install Owlready2 manually : download the sources, then run in a terminal:

cd /path/to/Owlready2-0.5
python setup.py build
python setup.py install # as root

You can also use it without installation: rename the source directory "owlready2" (lower case) and put it in your PYTHONPATH.

Jiba
Reply | Threaded
Open this post in threaded view
|

Re: Can't install owlready2

marko
Thanks for the response Jiba. I wasn't able to do the manual install, but was successful logging in as the admin on this machine directly rather than logging in within Terminal. The install then worked.

Cheers,

Marko
Reply | Threaded
Open this post in threaded view
|

Re: Can't install owlready2

Dass
I am using Ubuntu 16 and tried using python3 -m pip install --user Owlready2. Am getting an error with setup.
error: can't copy './hermit/org/semanticweb/HermiT/hierarchy': doesn't exist or not a regular file
Can you please help me
Reply | Threaded
Open this post in threaded view
|

Re: Can't install owlready2

Lynsie
I managed to install it using: pip install owlready2
Reply | Threaded
Open this post in threaded view
|

Re: Can't install owlready2

Jiba
Administrator
In reply to this post by Dass
Hi,

The file './hermit/org/semanticweb/HermiT/hierarchy' does exist in the archive. Are you sure the download was Ok?

Jiba
Reply | Threaded
Open this post in threaded view
|

Re: Can't install owlready2

Taha
I'm facing the same problem, cannot install it on ubuntu

I tried sudo pip3 install --user,
tried to install it manually as well, but noting works
Reply | Threaded
Open this post in threaded view
|

Re: Can't install owlready2

Jiba
Administrator
Hi,

Do you have an error message that could help me to understand the problem?

If you really can't install it with pip, you can also use Owlready without installation: download Owlready2 source, unpack it, rename the "Owlready2-0.17" directory as "owlready2" (in lower case) and place this directory in the same directory as you Python script (or in PYTHONPATH).

Jiba